# 32/64bit spec-file
#
%define name dtsdec
%define version 0.0.2
%define release %mkrel 7

%define oname libdts
%define fname %oname-%version

Summary: DTS Coherent Acoustics decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: Sound
Url: http://www.videolan.org/dtsdec.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

%package devel
Group: Development/C
Summary: Library for decoding DTS audio

%description devel 
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

%prep
%setup -q -n %fname

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/dtsdec
%_bindir/extract_dts
%_mandir/man1/dtsdec.1*
%_mandir/man1/extract_dts.1*

%files devel
%defattr(-,root,root)
%doc TODO
%_includedir/dts.h
%_libdir/*a
%_libdir/pkgconfig/libdts.pc

%changelog
* Tue Feb 19 2013 pinoc <vogtpet at gmail.com> 0.0.2-7pclos2013
- rebuild on 64

* Thu Dec 14 2006 ocilent1 <ocilent1 at gmail dot com> 0.0.2-6pclos2007
- Fix descriptions

* Tue Nov 14 2006 Texstar <texstar@houston.rr.com> 0.0.2-5pclos2007
- Build for PCLinuxOS 2007

